package com.cku.model;

import java.math.BigDecimal;

public class CkuPayType {
    private Integer id;

    private String subjectName;

    private Integer subjectType;

    private BigDecimal subjectPrice;

    private String delTag;

    private Integer maxSum;

    private Integer px;

    private String useOrder;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName == null ? null : subjectName.trim();
    }

    public Integer getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(Integer subjectType) {
        this.subjectType = subjectType;
    }

    public BigDecimal getSubjectPrice() {
        return subjectPrice;
    }

    public void setSubjectPrice(BigDecimal subjectPrice) {
        this.subjectPrice = subjectPrice;
    }

    public String getDelTag() {
        return delTag;
    }

    public void setDelTag(String delTag) {
        this.delTag = delTag == null ? null : delTag.trim();
    }

    public Integer getMaxSum() {
        return maxSum;
    }

    public void setMaxSum(Integer maxSum) {
        this.maxSum = maxSum;
    }

    public Integer getPx() {
        return px;
    }

    public void setPx(Integer px) {
        this.px = px;
    }

    public String getUseOrder() {
        return useOrder;
    }

    public void setUseOrder(String useOrder) {
        this.useOrder = useOrder == null ? null : useOrder.trim();
    }
}